package jumapacelaya.gob.mx.appots.dto;

import java.util.List;

public class respuestaOTDTO {
    private Long otid;
    private String fechaprecierre;
    private String usuarioprecierre;
    private String horainicio;
    private String horatermino;
    private String observacion;
    private String nombsuperv;
    private String nombintegra;
    private String dictamenid;
    private String obsdictamen;
    private String usuariocierree;
    private String transaccid;

    private List<respuestaPreguntaDTO> resppreg;
    private List<FotoBase64DTO> fotos;
    private List<OTHijaDTO> othijas;

    // Getters y Setters
    public Long getOTid() { return otid; }
    public void setOtid(Long otid) {
        this.otid = otid;
    }

    public String getFechaPreCierre() { return fechaprecierre; }
    public void setFechaPreCierre(String fechaprecierre) {
        this.fechaprecierre = fechaprecierre;
    }

    public String getUsuarioPreCierre() { return usuarioprecierre; }
    public void setUsuarioPreCierre(String usuarioprecierre) {
        this.usuarioprecierre = usuarioprecierre;
    }

    public String getHoraInicio() { return horainicio; }
    public void setHoraInicio(String horainicio) {
        this.horainicio = horainicio;
    }

    public String getHoraTermino() { return horatermino; }
    public void set(String horatermino) {
        this.horatermino = horatermino;
    }

    public String getObservacion() { return observacion; }
    public void setObservacion(String observacion) {
        this.observacion = observacion;
    }

    public String getNombSuperv() { return nombsuperv; }
    public void setNombSuperv(String nombsuprev) {
        this.nombsuperv = nombsuprev;
    }

    public String getNombIntegra() { return nombintegra; }
    public void setNombIntegra(String nombintegra) {
        this.nombintegra = nombintegra;
    }

    public String getDictamenId() { return dictamenid; }
    public void setDictamenId(String dictamenid) {
        this.dictamenid = dictamenid;
    }

    public String getObsDictamen() { return obsdictamen; }
    public void setObsDictamen(String obsdictamen) {
        this.obsdictamen = obsdictamen;
    }

    public String getUsuarioCierre() { return usuariocierree; }
    public void setUsuarioCierre(String usuariocierree) {
        this.usuariocierree = usuariocierree;
    }

    public String getTransaccId() { return transaccid; }
    public void setTransaccId(String transaccid) {
        this.transaccid = transaccid;
    }

    public List<respuestaPreguntaDTO> getResppreg() { return resppreg; }
    public void setResppreg(List<respuestaPreguntaDTO> resppreg) {
        this.resppreg = resppreg;
    }

    public List<FotoBase64DTO> getFoto() { return fotos; }
    public void setFoto(List<FotoBase64DTO> fotos) {
        this.fotos = fotos;
    }

    public List<OTHijaDTO> getOThijas() { return othijas; }
    public void setOThijas(List<OTHijaDTO> othijas) {
        this.othijas = othijas;
    }
    /*public String get() { return ; }
    public void set(String ) {
        this. = ;
    }*/
}
